Bug 861856 - Backups are removed while recreating new backup
Backups are removed while recreating new backup
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: deja-dup (Show other bugs)
17
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-01 03:37 EDT by William Brown
Modified: 2013-08-01 14:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:45:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Brown 2012-10-01 03:37:51 EDT
Description of problem:

I have been keeping daily backups of my laptop system. Last friday, my laptop asked to "create a new full backup" to ensure consistency of these backups. This backup didn't complete, as late friday I needed to travel for the weekend.

During the course of the weekend, my laptops filesystem experienced some corruption, meaning that I lost a significant part of my home directory.

The crushing realisation however, was that in the course of deja-dup creating a "new" backup to make my backups "more consistent", they were completely wiped. Thus, I have now lost the contents of my laptop. 


Expected results:

The "new" backup that is made, should be made in parallel to the previous backups to prevent a state in which no complete full system backup is available.
Comment 1 Michael Terry 2012-10-01 10:50:43 EDT
This sounds like upstream bug https://bugs.launchpad.net/deja-dup/+bug/902985 which has been fixed since April (version 22.1).

But Fedora 17 has apparently stayed on 20.X, so never picked that fix up.  Fedora 18 has pulled in 24.0, so this bug shouldn't be there.

To confirm it is that bug:
1) Did you choose to password-protect your backup?

2) When you say backups were removed, do you mean that it deleted all progress on the previous incomplete backup?  Or that old, finished backups were also deleted?
Comment 2 William Brown 2012-10-01 17:01:17 EDT
1) No password was used 

2) I had previous full and complete backups, with completed incremental backups. All progress on these was removed, which left me in a state of having no "full" backups available for restore. So in other words every single finished backup I had, was deleted.
Comment 3 William Brown 2012-10-01 17:03:15 EDT
Sorry, I should have noted - Deja-dup actually came up with a dialog box that said a new full backup must be taken to ensure consistency. It does not seem to be this bug that you are referencing.
Comment 4 Michael Terry 2012-10-01 17:06:07 EDT
Agreed it seems to be a different bug.
Comment 5 Fedora Update System 2013-04-24 16:18:39 EDT
deja-dup-22.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/deja-dup-22.1-1.fc17
Comment 6 Fedora Update System 2013-04-25 21:00:29 EDT
Package deja-dup-22.1-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing deja-dup-22.1-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-6642/deja-dup-22.1-1.fc17
then log in and leave karma (feedback).
Comment 7 Fedora End Of Life 2013-07-04 03:02:00 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-08-01 14:45:22 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.